This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 493141 - cannot build emacs from srpm
cannot build emacs from srpm
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 14:46 EDT by Carl Roth
Modified: 2009-04-06 04:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 04:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace from emacs (2.98 KB, text/plain)
2009-03-31 14:48 EDT, Carl Roth
no flags Details

  None (edit)
Description Carl Roth 2009-03-31 14:46:24 EDT
Description of problem:

This looks suspiciously like BUG174736.  It affects the current emacs for F10, as well as emacs-23 snapshots I've tried from Emacs CVS.

When I build emacs from srpm, it fails sometimes with a segfault when running bootstrap-emacs.  It fails pretty consistently if I try to build the emacs SRPM using mock.

...
/bin/sh: line 2: 14800 Segmentation fault      EMACSLOADPATH=/builddir/build/BUILD/emacs-22.3/lisp ../src/bootstrap-emacs -batch --no-site-file --multibyte -l autoload --eval '(setq generated-autoload-file "/builddir/build/BUILD/emacs-22.3/lisp/loaddefs.el")' -f batch-update-autoloads $wins
...

I'm attaching a backtrace to the bug report; it appears that the solib static constructors are stumbling over the malloc implementation built-in to emacs.

Version-Release number of selected component (if applicable):

emacs-22.3-4.fc10

How reproducible:

Often (not always).  Currently my system is failing consistently in mock.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Carl Roth 2009-03-31 14:48:31 EDT
Created attachment 337387 [details]
gdb backtrace from emacs
Comment 2 Carl Roth 2009-04-06 04:29:53 EDT
I rebooted my system, now mock is working again.  Yay?

I reserve the right to re-open this the next time the bug prevents me from building a future emacs snapshot...

Note You need to log in before you can comment on or make changes to this bug.